Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1218294 - Split hardened-cc1 and hardened-ld to a subpackage
Summary: Split hardened-cc1 and hardened-ld to a subpackage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1284684 1217376
TreeView+ depends on / blocked
 
Reported: 2015-05-04 14:11 UTC by Bohuslav "Slavek" Kabrda
Modified: 2018-07-03 13:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-26 15:53:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1279265 None CLOSED qmake and others require redhat-hardened-cc1 and break compilation 2019-03-21 15:07:38 UTC
Red Hat Bugzilla 1514358 None CLOSED gobject-introspection: gcc fails to compile software when redhat-rpm-config isn't installed 2019-03-21 15:07:38 UTC

Internal Links: 1279265 1514358

Description Bohuslav "Slavek" Kabrda 2015-05-04 14:11:44 UTC
I'm opening this bug because of bug 1217376. tldr: Python saves the compilation/linking flags (used to build Python itself) to a module generated during the build. It then uses these flags as "best" flags to compile C code on the platform - most importantly, it uses them to compile Python C extensions using distutils.

As noted in bug 1217376 comment 3, I think this is right and we should make python-devel depend on redhat-rpm-config. The problem is however that redhat-rpm-config will also draw along some unnecessary deps (for our usecase), like ghc-srpm-macros, perl-srpm-macros etc. - I'd very much like to avoid these for people installing python-devel.

Therefore I'd like to ask you to split /usr/lib/rpm/redhat/redhat-hardened-cc1 and /usr/lib/rpm/redhat/redhat-hardened-ld to a separate subpackage that wouldn't depend on any other package. redhat-rpm-config can depend on this package (as can python-devel), so nothing will change for your use-cases.
Thanks!

Comment 1 Jan Kurik 2015-07-15 14:11:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Robert Kuska 2016-01-14 09:15:34 UTC
Any update on this one?

Comment 3 Panu Matilainen 2016-11-07 14:33:37 UTC
The foo-srpm-macros packages are really small and should not bring in further dependencies (that'd be bug in them basically). This seems like pointless complication of things, redhat-rpm-config is basically expected to be installed just about everywhere.

Comment 4 Panu Matilainen 2016-11-08 10:31:38 UTC
That said, having just seen bug 1288717, there appears to be a common theme and maybe it needs more consideration.

Comment 5 Fedora End Of Life 2016-11-24 11:46:07 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Vít Ondruch 2017-07-13 05:31:45 UTC
Ping? Any updates?

Comment 7 Tomasz Kłoczko 2017-11-20 13:55:03 UTC
IMO slitting does not make any sense. It is not possible to use complier without linker and vice versa.
Things like using --as-needed in linker should be even part of the default ettings of the liner hardcoded into linker code.
The same is with -fpie.

Comment 8 Tomasz Kłoczko 2017-11-20 13:57:05 UTC
> I'm opening this bug because of bug 1217376. tldr: Python saves the compilation/linking flags (used to build Python itself) to a module generated during the build.

Such compiler adn linker options should be removed and not propagated as same as for example none of the pkgconfig files shoud be propagating linker and compiler fialgs.

Comment 9 Tomasz Kłoczko 2017-12-25 07:10:57 UTC
What I've wrote had nothing to do with propagating settings in pkgconfig files.
My comment was purely about default linker options.
If distutil has some problems only this package should be fixed.

Comment 10 Florian Weimer 2018-01-26 15:53:05 UTC
distutils needs to be fixed not to hard-code the build flags used at RPM build time because Python developers cannot be expected to have a fully instrumented Fedora build environment installed.  This needs to be fixed on the Python side, I'm afraid.

Comment 11 Vít Ondruch 2018-01-26 16:10:45 UTC
@Florian Ruby suffers similar issues. Would you mind to address my concerns in https://bugzilla.redhat.com/show_bug.cgi?id=1284684#c8 ? Thx.


Note You need to log in before you can comment on or make changes to this bug.